Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TimeBase.pidl File Reference

This graph shows which files directly or indirectly include this file:

## Detailed Description

Id:
  TimeBase.pidl,v 1.7 2003/12/24 03:29:08 bala Exp

This file was used to generate the code in TimeBase{C,S,S_T}.{h,i,cpp}

The command used to generate code from this file is:

tao_idl.exe -o orig -Ge 1 -GT -GA -Wb,export_macro=TAO_Export -Wb,export_include=tao/TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" TimeBase.pidl

after the file is generated a patch must be applied. The patch eliminates cycles in the include dependencies. The changes are required because the generated code is part of the TAO library, it hardly makes any sense to change the IDL compiler to support changes that are very occasional.